/*
 * FilterStrategy.java
 * 
 * Copyright (c) 2008 David Holroyd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package uk.co.badgersinfoil.metaas.visitor;

import uk.co.badgersinfoil.metaas.dom.ScriptElement;

public class FilterStrategy implements ScriptElementStrategy {

	private ScriptElementStrategy filtered;

	public FilterStrategy() {
		this.filtered = null;
	}

	public FilterStrategy(ScriptElementStrategy filtered) {
		this.filtered = filtered;
	}

	public void handle(ScriptElement element) {
		filtered.handle(element);
	}

	public ScriptElementStrategy getFiltered() {
		return filtered;
	}

	public void setFiltered(ScriptElementStrategy filtered) {
		this.filtered = filtered;
	}
}
